Skip to main content
Resource Center/Network Service/Network Service Operations/VPC Firewall Operations
GETVPC Firewall OperationsSince 4.0.0SynchronousAuth Required

QueryFirewallIpSetTemplate

QueryFirewallIpSetTemplate

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryVpcFirewallIpSetTemplateInventoryRequired

    See inventories

Endpoint

GET/zstack/v1/vpcfirewalls/ipset/templates

/zstack/v1/vpcfirewalls/ipset/templates

Operation ID

QueryFirewallIpSetTemplate

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/vpcfirewalls/ipset/templates' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "name": "ipset-template", "sourceValue": "192.168.1.2", "destValue": "192.168.1.1,10.0.0.1/24", "type": "ip" } ] }

Change History

This API has no change history records yet.

View all change history